summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohannes Huber <johu@gentoo.org>2018-03-27 18:38:34 +0200
committerJohannes Huber <johu@gentoo.org>2018-03-27 18:50:28 +0200
commite882c0d1a361cf0964146161be96d2d25e7749d5 (patch)
tree34d5bb52c9917ea1eeba206517126063f0dfc90c /media-sound/drumstick
parentapp-emulation/qemu: Revert: update 2.11.1-r52, 9999 (diff)
downloadgentoo-e882c0d1a361cf0964146161be96d2d25e7749d5.tar.gz
gentoo-e882c0d1a361cf0964146161be96d2d25e7749d5.tar.bz2
gentoo-e882c0d1a361cf0964146161be96d2d25e7749d5.zip
media-sound/drumstick: Version bump 1.1.1
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'media-sound/drumstick')
-rw-r--r--media-sound/drumstick/Manifest1
-rw-r--r--media-sound/drumstick/drumstick-1.1.1.ebuild94
2 files changed, 95 insertions, 0 deletions
diff --git a/media-sound/drumstick/Manifest b/media-sound/drumstick/Manifest
index a502991da50..5155e046682 100644
--- a/media-sound/drumstick/Manifest
+++ b/media-sound/drumstick/Manifest
@@ -1 +1,2 @@
DIST drumstick-1.1.0.tar.bz2 1012405 BLAKE2B ad1e4990cbf4954eadf8c7ae602234852e77abcf534e14090a6e158e9032288fcce6c39b742c40ac9b8c7967dbfcd04578b871088f61ce411de9c910c79e1fbb SHA512 1099b80e1d2819a8343e877742c5f01c114419b2c63a965717bcff2c220aa218f40ac3860cf9496d3586663e73a6c2c7b62aee74c51229578a5ae3044da208da
+DIST drumstick-1.1.1.tar.bz2 1011275 BLAKE2B dff36487a1cf79512150638c793c471fb410c3563184e9acdbd9d441c53596a0bc611d4ebef2b4dc0214c0fef5324443fe0dfe4158f45521762abf4e838cf716 SHA512 f3278be71b1850bbe742ff46b65a656443a1d655c5bcc1e289d92492db985ab185ed140b88ca68f37235c07926be5b82cfe97ae2f95ca7e3a7f48a7c95c61654
diff --git a/media-sound/drumstick/drumstick-1.1.1.ebuild b/media-sound/drumstick/drumstick-1.1.1.ebuild
new file mode 100644
index 00000000000..dec23c6a8c8
--- /dev/null
+++ b/media-sound/drumstick/drumstick-1.1.1.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils xdg-utils gnome2-utils
+
+DESCRIPTION="Qt/C++ wrapper for ALSA sequencer"
+HOMEPAGE="http://drumstick.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc fluidsynth pulseaudio"
+
+RESTRICT="test"
+
+RDEPEND="
+ dev-qt/qtcore:5
+ dev-qt/qtdbus:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtsvg:5
+ dev-qt/qtwidgets:5
+ media-libs/alsa-lib
+ fluidsynth? ( media-sound/fluidsynth )
+ pulseaudio? ( media-sound/pulseaudio )
+"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ x11-misc/shared-mime-info
+ doc? (
+ app-doc/doxygen
+ app-text/docbook-xsl-stylesheets
+ dev-libs/libxslt
+ )
+"
+
+DOCS=( AUTHORS ChangeLog NEWS README TODO )
+
+src_prepare() {
+ cmake-utils_src_prepare
+
+ if ! use fluidsynth ; then
+ sed -i -e "/pkg_check_modules(FLUIDSYNTH/d" \
+ library/rt/CMakeLists.txt \
+ library/rt-backends/CMakeLists.txt \
+ utils/vpiano/CMakeLists.txt || die
+ fi
+
+ if ! use pulseaudio ; then
+ sed -i -e "/pkg_check_modules(PULSE/d" CMakeLists.txt || die
+ fi
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_TESTING=OFF
+ $(cmake-utils_use_find_package doc Doxygen)
+ )
+
+ cmake-utils_src_configure
+}
+
+src_compile() {
+ cmake-utils_src_compile
+
+ use doc && cmake-utils_src_compile doxygen
+}
+
+src_install() {
+ cmake-utils_src_install
+
+ if use doc ; then
+ dodoc -r "${BUILD_DIR}"/doc/html
+ fi
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ gnome2_icon_cache_update
+}